# Send File Message

A file-type conversation refers to a message that includes a file attachment.

In this table below you'll see the Arguments for this request.

<table><thead><tr><th width="234">Arguments</th><th>Explanation</th></tr></thead><tbody><tr><td>mediaURL <mark style="color:red;">*required</mark></td><td>Provides the URL where the file content is hosted or located</td></tr><tr><td>type <mark style="color:red;">*required</mark></td><td>To specify the media type that will be used.</td></tr><tr><td>text (optional)</td><td>The text content of the message. Maximum length of 4096 characters.</td></tr></tbody></table>

Here's how to create a request for sending a file message to a WhatsApp user using the provided API endpoint.

{% tabs %}
{% tab title="JSON" %}

```
{
    "type": "file",
    "mediaUrl": "https://www.w3.org/dummy.pdf",
    "text": "Here is a pdf attached"
}
```

{% endtab %}

{% tab title="cURL" %}

```
curl --location 'channel360.co.za/v1.1/org/{{orgId}}/whatsapp/appuser/{{appUserId}}/reply' \
--data '{
    "type": "file",
    "mediaUrl": "https://www.w3.org/dummy.pdf",
    "text": "Here is a pdf attached"
}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.channel360.co.za/api-usage/using-the-channel360-v1.1-api/conversations/send-media-message/send-file-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
